package com.millicom.microservice.service;

import com.readinessit.library.logging.application.services.LoggerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.scheduling.annotation.EnableAsync;

@SpringBootApplication(scanBasePackages = {"com.readinessit","com.millicom"})
@EntityScan(basePackages = {"com.readinessit","com.millicom"})
@EnableAsync
public class NumeroTemporalAplicacion {

	@Autowired
	LoggerService loggerService;

	public static void main(String[] args) {
		SpringApplication.run(NumeroTemporalAplicacion.class, args);

	}
}