package com.millicom.microservice.service.adapters.soap.service.interceptor;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.ws.server.EndpointInterceptor;
import org.springframework.ws.server.endpoint.interceptor.PayloadLoggingInterceptor;

@Configuration
public class InterceptorConfig {

    @Bean
    public EndpointInterceptor payloadLoggingInterceptor() {
        PayloadLoggingInterceptor interceptor = new PayloadLoggingInterceptor();
        interceptor.setLogRequest(true);
        interceptor.setLogResponse(true);
        interceptor.setLoggerName("org.springframework.ws.server.MessageTracing");
        return interceptor;
    }
}
