package com.millicom.microservice.service.adapters;

import com.readinessit.library.messaging.api.services.SendMessageOperations;
import com.readinessit.library.messaging.data.MessageResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

@Service
public class Adapter {
    @Autowired
    SendMessageOperations sendOutgoingMessage;

    private MessageResponse sendMessage(Class<?> classType, String operation, Object request, Map<String, String> dynamicParams, Map<String, String> headers, Map<String, String> queryStr,String system) {
        return sendOutgoingMessage.processMessage(system, classType.getName(), operation, request, queryStr, dynamicParams, headers);
    }

    public MessageResponse sendMessage(Class<?> classType, String operation, Object request, Map<String, String> pathVars, Map<String, String> headers , String system) {
        return sendMessage(classType, operation, request, pathVars, headers, null, system);
    }
}
