package com.millicom.microservice.service.service.numero.propiedades.map;

import lombok.Getter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

@Configuration
@PropertySource("classpath:application.properties")
@ConfigurationProperties("service.numerotemporal.legado")
@Getter
@Component
public class PropiedadesCabeceras {

    private final Map<String, String> header = new HashMap<>();

}